<?php
/*
Plugin Name: AdSanity - Ad Block Detection
Description: Add-on to AdSanity for detecting use of an ad blocker and either displaying a warning modal or redirecting the user
Plugin URI: http://www.adsanityplugin.com
Author: Pixel Jar
Author URI: http://www.pixeljar.com
Version: 1.3.1
License: GPL2
Text Domain: adsanity-abd
Domain Path: /lang

    Copyright (C) Feb 26, 2017  Pixel Jar  info@pixeljar.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// If this file is called directly, abort
if ( ! defined( 'ABSPATH' ) ) { die( 'You are not allowed to call this file directly.' ); }

define( 'ADSANITY_ABD_ABS', plugin_dir_path( __FILE__ ) );

// Update API
require plugin_dir_path( __FILE__ ) . 'update-engine/remote-api.php';

// Activation code
function activate_adsanity_abd() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-abd-activator.php';
	Adsanity_ABD_Activator::activate();

}

// Deactivation code
function deactivate_adsanity_abd() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-abd-deactivator.php';
	Adsanity_ABD_Deactivator::deactivate();

}

register_activation_hook( __FILE__, 'activate_adsanity_abd' );
register_deactivation_hook( __FILE__, 'deactivate_adsanity_abd' );

// The core plugin class
require plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-abd.php';

function run_adsanity_abd() {

	$plugin = new Adsanity_ABD();
	$plugin->run();

}

run_adsanity_abd();
