<?php

/**
 * Fired during plugin activation
 */
class Adsanity_ABD_Activator {

	public static function activate() {

		$default_title = __( 'Ad Block Detection Notice', 'adsanity-abd' );

		$default_content = __( 'We have detected that you are using an ad blocker. Please disable your ad blocker to continue viewing content.', 'adsanity-abd' );

		/**
		 * Create a default ad block notice page
		 */
		$postarr = array (
			'post_title'	=> $default_title,
			'post_content'	=> $default_content,
			'post_type'		=> 'page',
			'post_status'	=> 'publish',
		);

		$page_id = wp_insert_post( $postarr );

		/**
		 * Add default options
		 */
		$default_options = array(
			'post_type' 		=> array( 'post', 'page' ),
			'behavior'			=> 'modal',
			'warning_message'	=> '<h2>' . __( 'We rely on ads to provide you content. Please disable your ad blocker to continue viewing our content.', 'adsanity-abd' ) . '</h2>',
			'warning_refresh'	=> esc_html__( 'Refresh page', 'adsanity-abd' ),
			'redirect_page'		=> get_the_guid( $page_id ),
			'link_back'			=> esc_html__( 'Go back', 'adsanity-abd' ),
			'redirect_page_id'  => $page_id,
			'mandatory_warning' => 'mandatory',
			'warning_days'      => 30,
		);

		add_option(
			'adsanity-ad-block-detection-options',
			$default_options
		);

	}
}
