/**
 * Looks for the ad div
 */
( function() {

	var adElement = document.getElementById( 'klasdfAWE' );
	var adBlockEnabled = ! adElement;

	// Check for added display none style.
	if ( ! adBlockEnabled ) {
		var computedStyles = window.getComputedStyle( adElement );
		if ( 'display' in computedStyles ) {
			var display = computedStyles.getPropertyValue( 'display' );
			if ( 'none' === display ) {
				adBlockEnabled = true;
			}
		}
	}

	if ( adBlockEnabled ) {

		// If we are warning, handle localStorage
		if ( adsanity_ad_block_vars.mandatory_warning === 'warning' ) {

			// Retrieve the timestamp from localStorage
			var timestamp = window.localStorage.getItem( 'adsanityAdBlockTime' );

			// Handle timestamp
			if ( timestamp ) {

				var numDays = ( adsanity_ad_block_vars.warning_days || 30 ) * 60 * 60 * 24 * 1000;
				var expiration = parseInt( timestamp ) + parseInt( numDays );

				if ( parseInt( expiration ) > parseInt( Date.now() ) ) {
					// Return, as we are within the warning period
					return;
				} else {
					// If the warning has expired, reset it to now
					window.localStorage.setItem( 'adsanityAdBlockTime', Date.now() );
				}

			} else {

				// Set the localStorage for warning
				window.localStorage.setItem( 'adsanityAdBlockTime', Date.now() );

			}

		}

		if ( adsanity_ad_block_vars.behavior === 'modal' ) {
			modal();
		} else {
			redirect( adsanity_ad_block_vars.redirect_page );
		}

	}

	function redirect( url ) {
		var form = document.createElement( 'div' );
		var innerForm = '<input type="text" name="link_back" value="' + window.location.href + '" />';
		form.innerHTML = '<form id="akjdfksdjf-form" method="post" action="' + url + '">' + innerForm + '</form>'

		document.body.appendChild( form );

		document.getElementById( 'akjdfksdjf-form' ).submit();
	}

	function modal() {
		var message = adsanity_ad_block_vars.warning_message;
		var buttonText = adsanity_ad_block_vars.warning_refresh;
		var element = document.createElement( 'div' );

		// Element style
		element.id = 'akjdfksdjf-modal';
		element.style.width = '100vw';
		element.style.height = '100vh';
		element.style.position = 'fixed';
		element.style.top = 0;
		element.style.left = 0;
		element.style.background = 'rgba(0,0,0,0.9)';
		element.style.textAlign = 'center';
		element.style.padding = '4rem 2rem';
		element.style.zIndex = 99999;

		var inner = document.createElement( 'div' );
		inner.style.maxWidth = '500px';
		inner.style.margin = '0 auto';
		inner.style.padding = '2rem';
		inner.style.background = '#fff';

		inner.innerHTML = message + '<a href="javascript:window.location.href=window.location.href" style="color: #444; text-decoration: underline">' + buttonText + '</a>';

		element.appendChild( inner );

		document.body.appendChild( element );
	}

} )();
