<?php
/**
 * The advertiser toggle for custom reports screen
 */

// Get all the advertisers
$term_args = array(
	'taxonomy'   => 'advertiser',
	'hide_empty' => true,
);

$terms = new WP_Term_Query( $term_args );

if ( ! empty( $terms->terms ) && current_user_can( 'manage_options' ) ) {
?>

<div id="advertiser-toggle">
	<label for="advertiser-toggle-select">
		<?php esc_html_e( 'Filter by Advertiser', 'adsanity-ar' ); ?>
	</label>
	<select id="advertiser-toggle-select">
		<option value="all">
			<?php esc_html_e( 'All', 'adsanity-ar' ); ?>
		</option>
	<?php
		foreach( $terms->terms as $term ) {

			// Get the ads for this advertiser
			$ad_args = array(
				'post_type'      => 'ads',
				'posts_per_page' => -1,
				'fields'         => 'ids',
				'tax_query'      => array(
					array(
						'taxonomy' => 'advertiser',
						'field'    => 'term_id',
						'terms'    => $term->term_id,
					),
				),
			);

			$ads = new WP_Query( $ad_args );

			printf( '<option value="%s">%s</option>',
				implode( ',', $ads->posts ),
				$term->name
			);
		}
	?>
	</select>
</div>

<?php }
