( function( $ ) {

	// Handle advertiser toggle change
	$( '#advertiser-toggle-select' ).change( function() {

		// Reset all other filters.
		$( '#data-export select' )
			.not( $(this) )
			.children( 'option' )
			.removeAttr( 'selected' )
			.find( '[value="all"]' )
			.attr( 'selected', 'selected' );

		// Split ads list into array
		var ads = $( this ).val().split( ',' );

		// If value is all, show all inputs
		if ( ads == 'all' ) {
			$( '#ad-choices input' ).each( function() {
				$( this ).removeAttr( 'disabled' );
				$( this ).closest( 'li' ).show();
			} );
			return;
		}

		// Loop over ad choices
		$( '#ad-choices input[type=checkbox]' ).each( function() {

			// If the input is not in the ads array, disable and hide it
			if ( ads.indexOf( $( this ).attr( 'name' ).replace( 'ad-', '' ) ) == -1 ) {
				$( this ).removeAttr( 'checked' );
				$( this ).attr( 'disabled', 'disabled' );
				$( this ).closest( 'li' ).hide();
			} else {
				$( this ).removeAttr( 'disabled' );
				$( this ).closest( 'li' ).show();
			}

			// Update graph display
			AdSanityCustomReports.updateDisplay();
		} );

	} )

} )( window.jQuery );
