<?php
/**
 * The plugin bootstrap file
 *
 * @link              https://www.pixeljar.com
 * @since             1.0.0
 * @package           Adsanity_AR
 *
 * @wordpress-plugin
 * Plugin Name:       AdSanity - Advertiser Reporting
 * Plugin URI:        https://www.adsanityplugin.com
 * Description:       Gives Advertisers the ability to get self-service reporting on their ads.
 * Version:           1.4
 * Author:            Pixel Jar
 * Author URI:        https://www.pixeljar.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       adsanity-ar
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'ADSANITY_AR_ABS', plugin_dir_path( __FILE__ ) );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-adsanity-ar-activator.php
 */
function activate_adsanity_ar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-ar-activator.php';
	Adsanity_AR_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-adsanity-ar-deactivator.php
 */
function deactivate_adsanity_ar() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-ar-deactivator.php';
	Adsanity_AR_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_adsanity_ar' );
register_deactivation_hook( __FILE__, 'deactivate_adsanity_ar' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-ar.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_adsanity_ar() {

	$plugin = new Adsanity_AR();
	$plugin->run();

}
run_adsanity_ar();
