<p><?php esc_html_e( 'The following variables are available for insertion into the email:', 'adsanity-ar' ); ?></p>
<p><code>*|NAME|*</code> <?php
	printf(
		esc_html__( 'The name of the contact (%s) - If no name is available, set the default below.', 'adsanity-ar' ),
		'FIRST LAST'
	);
?></p>
<p><code>*|AD|*</code> <?php esc_html_e( 'The name of the ad', 'adsanity-ar' ); ?></p>
<p><code>*|DATE|*</code> <?php esc_html_e( 'The date of the ad\'s scheduled end (DD Month YYYY)', 'adsanity-ar' ); ?></p>
<p><code>*|DAYS|*</code> <?php esc_html_e( 'The days until the ad will end', 'adsanity-ar' ); ?></p>
<?php do_action( 'adsanity_ar_placeholder_text' ); ?>

<button
	id="adsanity-ar-test-email-button"
	class="button button-primary"
	type="button"
><?php esc_html_e( 'Send Test Message', 'adsanity-ar' ); ?></button>

<?php
	$advertisers = get_users( array(
		'number' => -1,
		'role'   => 'advertiser',
	) );
?>

<div class="modal" id="adsanity-ar-modal">
	<div class="modal-background"></div>
	<div class="modal-inner">
		<button
			class="close"
			type="button"
			aria-label="<?php esc_attr_e( 'Close modal', 'adsanity-ar' ); ?>"
		>
			<svg width="1792" height="1792" viewBox="0 0 1792 1792" xmlns="http://www.w3.org/2000/svg"><path d="M1277 1122q0-26-19-45l-181-181 181-181q19-19 19-45 0-27-19-46l-90-90q-19-19-46-19-26 0-45 19l-181 181-181-181q-19-19-45-19-27 0-46 19l-90 90q-19 19-19 46 0 26 19 45l181 181-181 181q-19 19-19 45 0 27 19 46l90 90q19 19 46 19 26 0 45-19l181-181 181 181q19 19 45 19 27 0 46-19l90-90q19-19 19-46zm387-226q0 209-103 385.5t-279.5 279.5-385.5 103-385.5-103-279.5-279.5-103-385.5 103-385.5 279.5-279.5 385.5-103 385.5 103 279.5 279.5 103 385.5z"/></svg>
		</button>

		<h3><?php esc_html_e( 'Send Test Message', 'adsanity-ar' ); ?></h3>

		<p><?php esc_html_e( 'Use this tool to confirm that your website is correctly sending emails and to preview emails.', 'adsanity-ar' ); ?></p>

		<label>
			<span><?php esc_html_e( 'Name:', 'adsanity-ar' ); ?></span>
			<select id="adsanity-ar-modal-advertiser">
			<?php
				foreach ( $advertisers as $advertiser ) {
					printf(
						'<option value="%s">%s</option>',
						intval( $advertiser->ID ),
						esc_html( $advertiser->data->display_name )
					);
				}
			?>
			</select>
			<span class="description"><?php
				printf(
					esc_html__( 'This will fill the %s variable.', 'adsanity-ar' ),
					'*|NAME|*'
				);
			?></span>
		</label>
		<label id="adsanity-ar-modal-email-label">
			<span><?php esc_html_e( 'Send to Email:', 'adsanity-ar' ); ?></span>
			<input id="adsanity-ar-modal-email" type="email">
			<span class="error-message"><?php esc_html_e( 'Please enter an email address.', 'adsanity-ar' ); ?></span>
		</label>
		<label id="adsanity-ar-test-email-ad-label">
			<span><?php esc_html_e( 'Ad:', 'adsanity-ar' ); ?></span>
			<input type="text" id="adsanity-ar-test-email-ad" placeholder="<?php esc_attr_e( 'Search for ad...', 'adsanity-ar' ); ?>">
			<input type="hidden" id="adsanity-ar-test-email-ad-value">
			<span class="error-message"><?php esc_html_e( 'Please select an ad.', 'adsanity-ar' ); ?></span>
			<span class="description"><?php
				printf(
					esc_html__( 'This will fill the %s and %s fields', 'adsanity-ar' ),
					'*|AD|*',
					'*|DATE|*'
				);
			?></span>
		</label>

		<button id="adsanity-ar-send-test-email" class="button button-primary" type="button"><?php esc_html_e( 'Send', 'adsanity-ar' ); ?></button>

		<p class="modal-inner-error"></p>
	</div>
</div>
