import validate from 'jquery-validation';

const $ = window.jQuery;

if ( $( 'body' ).hasClass( 'ads_page_adsanity-settings' ) ) {

	//
	// Trigger modal open
	//
	$( '#adsanity-ar-test-email-button' ).click(
		function openTestEmailModal() {
			$( '#adsanity-ar-modal' ).show();
			$( '#adsanity-ar-modal select' ).focus();
		}
	);

	//
	// Trigger modal close
	//
	$( '#adsanity-ar-modal button.close, #adsanity-ar-modal .modal-background' ).click(
		function closeTestEmailModal() {
			$( '#adsanity-ar-modal' ).hide();
			$( '.modal-inner-error' ).hide();
		}
	);

	$( window.document ).keyup(
		function closeTestEmailModalOnEscapeKey( event ) {
			if ( event.key.toLowerCase() === 'escape' ) {
				$( '#adsanity-ar-modal' ).hide();
				$( '.modal-inner-error' ).hide();
			}
		}
	)

	//
	// Initialize the modal autocomplete
	//
	$( '#adsanity-ar-test-email-ad' ).autocomplete( {
		source: function( request, response ) {

			$.get(
				`${ ADSANITY_AR_REST_VARS.endpoint }/ads?post_type=ads&per_page=5&orderby=title&search=${ request.term }`,
				function( data ) {

					response( data.map( function( ad ) {
						return {
							id    : ad.id,
							value : $( '<textarea/>' ).html( ad.title.rendered ).text(),
							// ^ This will decode html entities
						};
					} ) );

				}
			);

		},
		select: function( event, ui ) {

			$( '#adsanity-ar-test-email-ad-value' ).val( ui.item.id );

		},
	} );

	//
	// Send test email
	//
	$( '#adsanity-ar-send-test-email' ).click( function sendTestEmail() {

		$( '#adsanity-ar-modal-email-label' ).removeClass( 'error' );
		$( '#adsanity-ar-test-email-ad-label' ).removeClass( 'error' );

		// Variable names to match serverside variable names

		const optionBase = 'adsanity-advertiser-reporting-options'

		const user_id = $( '#adsanity-ar-modal-advertiser' ).val();
		const ad_id = $( '#adsanity-ar-test-email-ad-value' ).val();
		const user_email = $( '#adsanity-ar-modal-email' ).val();
		const email_template = window.tinymce.activeEditor.getContent();
		const days = $( `.adsanity-advertiser-reporting input[name="${ optionBase }[timing]"]` ).val();
		const email_subject = $( `.adsanity-advertiser-reporting input[name="${ optionBase }[email-subject]"]` ).val();
		const default_name = $( `.adsanity-advertiser-reporting input[name="${ optionBase }[default-name]"]` ).val();

		if ( ! user_email ) {
			$( '#adsanity-ar-modal-email-label' ).addClass( 'error' );
		}

		if ( ! ad_id ) {
			$( '#adsanity-ar-test-email-ad-label' ).addClass( 'error' );
		}

		if ( ! user_email || ! ad_id ) {
			return;
		}

		$.post(
			window.ajaxurl,
			{
				action : 'adsanity_ar_test_email',
				user_id,
				ad_id,
				user_email,
				email_template,
				days,
				email_subject,
				default_name,
			}
		)
		.done( function() {
			$( '#adsanity-ar-modal' ).hide();
			$( '.modal-inner-error' ).hide();
		} )
		.fail( function( error ) {
			const message = error.responseJSON.data;
			$( '.modal-inner-error' )
				.show()
				.text( message );
		} );

	} );

}
