<?php

/**
 * The plugin bootstrap file
 *
 * @link              https://www.pixeljar.com
 * @since             1.0.0
 * @package           Adsanity_Caa
 *
 * @wordpress-plugin
 * Plugin Name:       AdSanity - Conditional Ad Appearance
 * Plugin URI:        https://www.adsanityplugin.com
 * Description:       Allows users to conditionally place ads based on post type, archives, and more
 * Version:           1.3
 * Author:            Pixel Jar
 * Author URI:        https://www.pixeljar.com
 * License:           GPL2
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       adsanity-caa
 * Domain Path:       /lang
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'ADSANITY_CAA_ABS', plugin_dir_path( __FILE__ ) );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-adsanity-caa-activator.php
 */
function activate_adsanity_caa() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-caa-activator.php';
	Adsanity_Caa_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-adsanity-caa-deactivator.php
 */
function deactivate_adsanity_caa() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-caa-deactivator.php';
	Adsanity_Caa_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_adsanity_caa' );
register_deactivation_hook( __FILE__, 'deactivate_adsanity_caa' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-caa.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_adsanity_caa() {

	$plugin = new Adsanity_Caa();
	$plugin->run();

}
run_adsanity_caa();
