const $ = window.jQuery;

//
// Handle 'Add Size'
//
$( '.add-size' ).click( function handleAddSizeClick( event ) {
	event.preventDefault();

	// Clone the template
	const template = $( '#js-ad-size-list .template' ).clone();
	template.removeClass( 'template' );

	// Create name attributes from data-name attributes
	template
		.find( '.label' )
		.attr(
			'name',
			template.find( '.label' ).data( 'name' )
		);

	template.show();
	template.insertBefore( '#js-ad-size-list .add-size-row' );
	template.find( '.label' ).focus();

} );

//
// Handle 'Remove Size'
$( '#js-ad-size-list' ).on( 'click', '.remove-size', function handleRemoveSizeClick() {
	$( this ).closest( 'tr' ).remove();
} );

//
// Change values when number input changes
//
$( '#js-ad-size-list' ).on( 'change', 'input[type="number"]', function handleSizeChange() {
	const row = $( this ).closest( 'tr' );
	const dimensions = `${ row.find( '.width' ).val() }x${ row.find( '.height' ).val() }`
	row.find( '.label' ).attr( 'name', `adsanity-options[sizes][${ dimensions }]` );
} );
