<?php

/**
 * Class for handling oAuth authentication
 */

class Adsanity_GATI_Admin_oAuth {

	/**
	 * Unique identifier
	 */
	private $plugin_name;

	/**
	 * The version for this plugin
	 */
	private $version;

	public function __construct( $plugin_name, $version ) {

		$this->plugin_name = $plugin_name;
		$this->version = $version;

	}

	/**
	 * Exchange code for refresh and access tokens
	 */
	public function exchange_for_tokens( $authorization_code ) {

		$args = array(
			'body' => array (
				'code' => $authorization_code,
				'client_id' => '467328403777-vcqgamnbhvhrso7savg5pi8vhn9v3jrj.apps.googleusercontent.com',
				'client_secret' => 'S3b-qO1vHaIMUuX3DZVqKbyN',
				'redirect_uri' => 'urn:ietf:wg:oauth:2.0:oob',
				'grant_type' => 'authorization_code',
			)
		);

		$response = wp_remote_post( 'https://accounts.google.com/o/oauth2/token', $args );

		if ( is_wp_error( $response ) ) {
			wp_send_json_error( $response->get_error_message(), 400 );
		}

		if ( ! array_key_exists( 'body', $response ) ) {
			wp_send_json_error( __( 'No content found in the token exchange reponse.', 'adsanity-gati' ), 400 );
		}

		$body = json_decode( wp_remote_retrieve_body( $response ) );

		if ( ! property_exists( $body, 'access_token' ) ||
			! property_exists( $body, 'refresh_token' ) ||
			! property_exists( $body, 'expires_in' ) ) {
			wp_send_json_error( __( 'There was an issue exchanging oauth tokens.', 'adsanity-gati' ), 400 );
		}

		$access_token = $body->access_token;
		$refresh_token = $body->refresh_token;
		$expires_in = $body->expires_in;

		// Update refresh token option
		update_option( $this->plugin_name . '-refresh_token', $refresh_token );

		// Set the access token transient
		set_transient( 'adsanity-gati-access-token', $access_token, $expires_in - 60 );

		wp_send_json_success();

	}
}
