<?php

/**
 * The reports page custom reports tab
 */

?>

<?php

$access_token = adsanity_gati_get_access_token();

if ( ! $access_token ) :
	$configuration_message = sprintf( '<h2>%s</h2><p>%s <a href="%s">%s</a> %s.</p>',
		esc_html__( 'Warning!', 'adsanity-gati' ),
		esc_html__( 'Please configure' ),
		admin_url() . 'edit.php?post_type=ads&page=adsanity-settings&tab=add-ons&sub=google-analytics-tracking-integration',
		esc_html__( 'AdSanity - Google Analytics Tracking Integration', 'adsanity-gati' ),
		esc_html__( 'to view charts and reports', 'adsanity-gati' )
	);
	$configuration_message = apply_filters( 'adsanity_gati_configuration_message', $configuration_message );
	echo $configuration_message;
else :

?>

<!-- Script required by Google for charts -->
<script>
(function(w,d,s,g,js,fs){
	g=w.gapi||(w.gapi={});g.analytics={q:[],ready:function(f){this.q.push(f);}};
	js=d.createElement(s);fs=d.getElementsByTagName(s)[0];
	js.src='https://apis.google.com/js/platform.js';
	fs.parentNode.insertBefore(js,fs);js.onload=function(){g.load('analytics');};
}(window,document,'script'));
</script>

<h3><?php _e( 'Custom Reports', 'adsanity-gati' ); ?></h3>
<p class="description">
	<?php _e( 'Choose from the options below to customize the results.', 'adsanity-gati' ); ?>
</p>

<div id="customizing-bar">
	<form id="data-export" method="post">

		<label for="start-date"><?php _e( 'Date Range', 'adsanity-gati' ); ?></label>
		<input type="text" name="start-date" value="<?php echo date( 'Y-m-d', time() - ( DAY_IN_SECONDS * 30 ) ); ?>" id="start-date" />
		<?php _e( 'to', 'adsanity-gati' ); ?>
		<input type="text" name="end-date" value="<?php echo date( 'Y-m-d' ); ?>" id="end-date" />

		<?php do_action( 'adsanity_custom_stats_before_ad_selection' ); ?>

		<div id="ad-choices" style="background: url('<?php echo admin_url( 'images/arrows.png' ); ?>') no-repeat scroll 175px 11px #fff;">
			<?php _e( 'Select Which Ads to Show', 'adsanity-gati' ); ?>
			<span class="mass-select">
				<a href="javascript:void(0)" class="selectall"><?php _e( 'All', 'adsanity-gati' ); ?></a>
				<a href="javascript:void(0)" class="selectnone"><?php _e( 'None', 'adsanity-gati' ); ?></a>
			</span>
				<ul class="ads-list">
				<?php
					$ads = AdSanityQuery::get_all_ads();
					if ( ! is_wp_error( $ads ) ) {
						foreach( $ads as $ad ) {
							echo sprintf( '<li><label for="ad-%1$d">',
								intval( $ad->ID )
							);
							echo sprintf( '<input type="checkbox" name="ad-%1$d" id="ad-%1%d" value="%2$s" />',
								intval( $ad->ID ),
								adsanity_gati_esc_title( $ad->post_title )
							);
							echo adsanity_gati_esc_title( $ad->post_title );
							echo '</label></li>';
						}
					}
				?>
			</ul>
		</div>
		<a class="btn button" id="submit">Submit</a>
	</form>
</div>

<div id="custom-report-container">
	<h3>
		<?php _e( 'Detailed Report', 'adsanity-gati' ); ?>
		<a href="#" id="export-csv" class="add-new-h2">
			<?php _e( 'Export CSV', 'adsanity-gati' ) ?>
		</a>
	</h3>
	<table class="widefat" id="report-table">
		<thead>
			<tr>
				<th><?php _e( 'Ad Name', 'adsanity-gati' ); ?></th>
				<th><?php _e( 'Date', 'adsanity-gati' ); ?></th>
				<th><?php _e( 'Views', 'adsanity-gati' ); ?></th>
				<th><?php _e( 'Clicks', 'adsanity-gati' ); ?></th>
				<th><?php _e( 'CTR', 'adsanity-gati' ); ?></th>
			</tr>
		</thead>
		<tbody></tbody>
		<tfoot>
			<tr>
				<th><?php _e( 'Totals', 'adsanity-gati' ); ?></th>
				<th>&nbsp;</th>
				<th id="total-views"><?php _e( '0', 'adsanity-gati' ) ?></th>
				<th id="total-clicks"><?php _e( '0', 'adsanity-gati' ) ?></th>
				<th id="total-ctr"><?php _e( '0%', 'adsanity-gati' ) ?></th>
			</tr>
			<tr>
				<th><?php _e( 'Ad Name', 'adsanity-gati' ); ?></th>
				<th><?php _e( 'Date', 'adsanity-gati' ); ?></th>
				<th><?php _e( 'Views', 'adsanity-gati' ); ?></th>
				<th><?php _e( 'Clicks', 'adsanity-gati' ); ?></th>
				<th><?php _e( 'CTR', 'adsanity-gati' ); ?></th>
			</tr>
		</tfoot>
	</table>
</div>

<br>

<?php
	$profile_id = 'ga:' . get_option( $this->plugin_name . '-profile_id' );
?>

<div
	class="single-ad-charts"
	data-access="<?php echo esc_attr( $access_token ); ?>"
	data-profile="<?php echo esc_attr( $profile_id ); ?>"
>
	<h3><?php esc_html_e( 'Views', 'adsanity-gati' ); ?></h3>
	<div id="single-ad-chart-views"></div>

	<h3><?php esc_html_e( 'Clicks', 'adsanity-gati' ); ?></h3>
	<div id="single-ad-chart-clicks"></div>
</div>

<?php endif; ?>
