<?php

/**
 * The reports page
 */

$is_dashboard_tab = ( ! isset( $_GET['tab'] ) || ( isset( $_GET['tab'] ) && $_GET['tab'] == 'dashboard' ) ) ? true : false;

?>
<div class="wrap">
	<h1>AdSanity: <?php _e( 'Reports', 'adsanity-gati' ); ?></h1>
	<h2 class="nav-tab-wrapper">
		<a href="<?php echo admin_url( 'edit.php?post_type=ads&page=adsanity-offload-stats&tab=dashboard' ) ?>" class="nav-tab<?php echo ( $is_dashboard_tab ? ' nav-tab-active' : '' ) ?>"><?php _e( 'Dashboard', 'adsanity-gati' ) ?></a>
		<a href="<?php echo admin_url( 'edit.php?post_type=ads&page=adsanity-offload-stats&tab=custom' ) ?>" class="nav-tab<?php echo ( $is_dashboard_tab ? '' : ' nav-tab-active' ) ?>"><?php _e( 'Custom Reports', 'adsanity-gati' ) ?></a>
	</h2>

	<!-- Notice setting expectations -->
	<?php
	$expectations_dismissed = get_option( 'adsanity_gati-expectations_dismissed', false );

	if ( ! $expectations_dismissed && current_user_can( 'manage_options' ) ) {
	?>
		<div class="notice notice-warning is-dismissible" id="adsanity-gati-expectation-warning">
			<p><?php
				$google_real_time_link = sprintf( '<a href="%s" target="_blank">%s</a>',
					esc_url( 'https://analytics.google.com/analytics/web/#realtime/rt-event' ),
					esc_html( 'Google Analytics' )
				);

				printf( esc_html__( 'Please note, statistics on this report are not updated in real time. If you\'d like to see your data in real time visit %s.', 'adsanity-gati' ),
					$google_real_time_link
				);
			?></p>
		</div>
	<?php } ?>

	<?php
		if ( $is_dashboard_tab ) {
			require_once( plugin_dir_path( __FILE__ ) . 'reports-page-dashboard.php' );
		} else {
			require_once( plugin_dir_path( __FILE__ ) . 'reports-page-custom.php' );
		}
	?>

</div>
<div class="clear"></div>

<p><em><?php
	printf(
		wp_kses_post(
			__( 'Statistics and reports pulled from %s can be delayed 24-48 hours. Learn more <a href="%s" target="_blank">here.</a>', 'adsanity-gati' )
		),
		'Google Analytics',
		'https://support.google.com/analytics/answer/1070983?hl=en'
	);
?></em></p>
