<?php

/**
 * Guide a user through the setup process
 */

?>

<div id="app" v-cloak>

	<div class="notice notice-error" v-show="error">
		<p>{{ errorMessage }}</p>
	</div>
	<div class="notice notice-success" v-show="success">
		<p><?php _e( 'Settings saved', 'adsanity-gati' ); ?></p>
	</div>

	<?php
		/**
		 * Logic for showing setup screen
		 */
		$tracking_id = get_option( $this->plugin_name . '-tracking_id' );
		$setup_screen = $tracking_id ? 'false' : 'true';
	?>

	<!-- Standard Settings Screen -->
	<div v-show="! <?php echo $setup_screen; ?>" class="settings">
		<br>
		<table class="form-table">
			<tbody>
				<tr>
					<th><?php _e( 'Your tracking id', 'adsanity-gati' ); ?>:</th>
					<td></td>
					<td><?php echo $tracking_id; ?></td>
				</tr>
				<tr>
					<th>&nbsp;</th>
					<td></td>
					<td>
						<a href="#TB_inline?width=200&height=100&inlineId=reauth-warning" class="thickbox button"><?php _e( 'Re-authenticate with Google', 'adsanity-gati' ); ?></a>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
	<!-- End Standard Settings Screen -->

	<!-- Setup Screen -->
	<div v-show="<?php echo $setup_screen; ?>" class="setup">
		<h2><?php _e( 'Setup', 'adsanity-gati' ); ?></h2>
		<!-- Step 1: Ask if user is already tracking -->
		<div id="already-tracking">
			<div v-show="monsterInsights">
				<p><?php _e( 'It appears that you are using Google Analytics for WordPress by MonsterInsights.', 'adsanity-gati' ); ?></p>
			</div>
			<div v-show="askAlreadyTracking">
				<p><?php _e( 'Are you already using a Google Analytics plugin or including a Google Analytics script directly into your theme?', 'adsanity-gati' ); ?></p>
				<input type="radio" name="already-tracking" id="yes" value="true" v-model="alreadyTracking">
				<label for="yes"><?php _e( 'yes', 'adsanity-gati' ); ?></label>
				&nbsp;&nbsp;
				<input type="radio" name="already-tracking" id="no" value="false" v-model="alreadyTracking">
				<label for="no"><?php _e( 'no', 'adsanity-gati' ); ?></label>
				<br><br>
			</div>

			<a
				v-show="askAlreadyTracking"
				href="javascript:void(0)" @click="handleAlreadyTrackingContinueClick"
				class="button"
			><?php _e( 'Continue', 'adsanity-gati' ); ?></a>
			<p
				class="setup-insights-notice"
				v-show="monsterInsights"
			><em><?php
				printf(
					esc_html__( 'We will utilize Google Analytics for WordPress by MonsterInsights to add tracking code to your page. In order for you to have access to the reporting features in the %s core plugin, you\'ll need to authenticate your site with Google using the button below.', 'adsanity-gati' ),
					'AdSanity'
				);
			?></em></p>
		</div>
		<!-- End Step 1 -->

		<!-- Step 2: Authenticate with Google -->
		<div class="authenticate" v-show="authenticate || monsterInsights">
			<br>
			<a href="javascript:void(0)" @click="handleAuthenticateClick" class="button"><?php _e( 'Click here to Authenticate with Google' ); ?></a>

			<div v-show="authenticateWithGoogle">
				<br><br>
				<label for="authorization-code"><?php _e( 'Paste code here', 'adsanity-gati' ); ?>: </label>
				<input type="text" v-model="authorizationCode" id="authorization-code">
				<a @click="handleAuthorizationCodeClick" href="javascript:void(0)" class="button"><?php _e( 'Authenticate', 'adsanity-gati' ); ?></a>

				<div v-show="selectProfile && profiles.length > 0">
					<br>
					<label for="select-profile"><?php _e( 'Select a profile', 'adsanity-gati' ); ?>: </label>
					<select v-model="analyticsProfile" id="select-profile">
						<option v-for="profile in profiles" :value="profile">{{ profile.name }}</option>
					</select>
					<br><br>
					<div v-show="analyticsProfile">
						<label for="select-property"><?php _e( 'Select a property', 'click-ranger-pro' ); ?>: </label>
						<select v-model="analyticsProperty" id="select-property">
							<option v-for="property in analyticsProperties" :value="property">{{ property.name }}</option>
						</select>
					</div>
				</div>
			</div>

			<br><br>
			<div v-show="allowTrackingId">
				<hr>
				<p><?php _e( 'Alternatively, you may', 'adsanity-gati' ); ?> <a href="javascript:void(0)" @click="handleTrackingIdClick"><?php _e( 'enter your tracking id', 'adsanity-gati' ); ?></a>
			</div>

			<div v-show="enterTrackingId">
				<p><strong><?php _e( 'Warning!', 'adsanity-gati' ); ?></strong> <?php _e( 'This method will disable charts and stats', 'adsanity-gati' ); ?></p>
				<label for="manual-tracking-id">Enter code: </label>
				<input type="text" v-model="manualTrackingId" id="manual-tracking-id">
				<br><br>
			</div>

			<a v-show="manualTrackingId || profiles.length > 0" @click="handleAuthorizationContinueClick" href="javascript:void(0)" class="button"><?php _e( 'Continue', 'adsanity-gati' ); ?></a>
		</div>
		<!-- End Step 2 -->
	</div>

	<!-- Start re-auth/de-auth warning modal -->
	<?php add_thickbox(); ?>
	<div id="reauth-warning" style="display:none;">
	     <p><strong><?php _e( 'Warning!', 'adsanity-gati' ); ?></strong> <?php _e( 'This will reset the current authentication.', 'adsanity-gati' ); ?></p>
	     <a @click="handleDeauthClick" href="javascript:void(0)" class="button"><?php _e( 'Continue', 'adsanity-gati' ); ?></a>
	</div>
	<!-- End re-auth/de-auth warning modal -->
</div>
<!-- End Setup Screen -->

<!-- oAuth modal Logic -->
<?php
$client_id = '467328403777-vcqgamnbhvhrso7savg5pi8vhn9v3jrj.apps.googleusercontent.com';
$scope = 'https://www.googleapis.com/auth/analytics.readonly';
$redirect_uri = 'urn:ietf:wg:oauth:2.0:oob';
$response_type = 'code';
$oauth_url = 'https://accounts.google.com/o/oauth2/auth';

$popupurl = sprintf( '%s?scope=%s&client_id=%s&redirect_uri=%s&response_type=%s&prompt=select_account',
	$oauth_url,
	$scope,
	$client_id,
	$redirect_uri,
	$response_type
);
?>

<script>
// Not wrapped in iife because we want this to be triggered by vue in external file
function requestGoogleoAuthCode() {
	var popupurl = '<?php echo $popupurl; ?>';
	var win = window.open( popupurl, 'googleauthwindow', 'width=500, height=600' );
}
</script>
<!-- End oAuth modal logic -->
