<?php
/*
Plugin Name: AdSanity - Google Analytics Tracking Integration
Description: Extension for AdSanity which integrates with Google Analytics and offloads tracking responsibility from the AdSanity plugin
Plugin URI: http://www.adsanityplugin.com
Author: Pixel Jar
Author URI: http://www.pixeljar.com
Version: 1.4.1
License: GPL-2.0+
Text Domain: adsanity-gati
Domain Path: /lang
*/

// If this file is called directly, abort
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'ADSANITY_GATI_ABS', plugin_dir_path( __FILE__ ) );

// Activation code
function activate_adsanity_gati() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-gati-activator.php';
	Adsanity_GATI_Activator::activate();

}

// Deactivation code
function deactivate_adsanity_gati() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-gati-deactivator.php';
	Adsanity_GATI_Deactivator::deactivate();

}

register_activation_hook( __FILE__, 'activate_adsanity_gati' );
register_deactivation_hook( __FILE__, 'deactivate_adsanity_gati' );

// The main file with global functions
require_once plugin_dir_path( __FILE__ ) . 'lib/adsanity-gati.php';

// The core plugin class
require plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-gati.php';

function run_adsanity_gati() {

	$plugin = new Adsanity_GATI();
	$plugin->run();

}

run_adsanity_gati();
