<?php

/**
 * Global functions for AdSanity - Google Analytics Tracking Integration
 */

/**
 * Returns the access token
 *
 * Returns false if no authentication
 */
function adsanity_gati_get_access_token() {

	// The transient name
	$transient = 'adsanity-gati-access-token';

	// Check for an exisiting access token stored as a transient
	$access_token = get_transient( $transient );

	// get_transient returns false if it doesn't exist
	if ( $access_token ) {
		return $access_token;
	}

	$refresh_token = get_option( 'adsanity_gati-refresh_token' );

	if ( ! $refresh_token ) {
		return false;
	}

	// Arguments for retrieving access token
	$args = array(
		'body' => array (
			'client_id' => '467328403777-vcqgamnbhvhrso7savg5pi8vhn9v3jrj.apps.googleusercontent.com',
			'client_secret' => 'S3b-qO1vHaIMUuX3DZVqKbyN',
			'refresh_token' => $refresh_token,
			'grant_type' => 'refresh_token',
		)
	);

	$response = wp_remote_post( 'https://accounts.google.com/o/oauth2/token', $args );
	if ( is_wp_error( $response ) || ! array_key_exists( 'body', $response ) ) {
		return false;
	}

	$body = json_decode( wp_remote_retrieve_body( $response ) );

	$access_token = $body->access_token;
	$expires_in = $body->expires_in;

	// Set a transient that expires one minute before the expiration time
	set_transient( $transient, $access_token, $expires_in - 60 );

	// Set a cron job to perform this function again one minute before expiration
	wp_schedule_single_event( time() + ( $expires_in - 60 ), 'adsanity_gati_get_access_token' );

	return $access_token;

}

// The action for use in wp_schedule_single_event
add_action( 'adsanity_gati_get_access_token', 'adsanity_gati_get_access_token' );
