( function() {

	// Play nice with MonsterInsights
	if ( typeof __gaTracker != 'undefined' ) {
		window.ga = __gaTracker;
	}

	/**
	 * Insert tracking script through JavaScript if we need to
	 * (This is for role exclusion conflicts with other plugins)
	 */
	if ( typeof window.ga == 'undefined' ) {

		// Google Analytics tracker setup with a custom name.
		var code = "(function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){(i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)})(window,document,'script','https://www.google-analytics.com/analytics.js','ga');ga('create', '" + ADSANITY_GATI.ua_code + "', 'auto', 'adsanity_gatracker');";

		// Track a pageview if the add-on is configured to do so.
		if ( '1' == ADSANITY_GATI.track_pageviews ) {

			code += "ga('adsanity_gatracker.send', 'pageview');";

		}

		// Inject the script.
		var gaScript = document.createElement( 'script' );
		gaScript.innerHTML = code;
		document.head.appendChild( gaScript );

	} else {

		// Create a new custom named tracker.
		ga( 'create', ADSANITY_GATI.ua_code, 'auto', 'adsanity_gatracker' );

	}

	function handleAdSanityClicks() {

		var title = this.getAttribute( 'data-title' );

		// Safety in case google analytics is not loaded yet
		if ( typeof ga != 'undefined' ) {

			ga( 'adsanity_gatracker.send', 'event', {
				eventCategory : 'AdSanity',
				eventAction   : 'click',
				eventLabel    : title,
			} );

		}

	}

	function handleAdSanityViews( element ) {

		var title = element.getAttribute( 'data-title' );

		// Safety in case google analytics is not loaded yet
		if ( typeof ga != 'undefined' ) {

			ga( 'adsanity_gatracker.send', 'event', {
				eventCategory : 'AdSanity',
				eventAction   : 'view',
				eventLabel    : title,
			} );

		}

	}

	var ads = document.querySelectorAll( '.adsanity-gati' );

	for ( var i = 0; i < ads.length; i++ ) {

		handleAdSanityViews( ads[ i ] );

		ads[ i ].addEventListener( 'click', handleAdSanityClicks );

	}

} )();
