<?php

/*
Plugin Name: AdSanity - Image Cache Buster
Description: This plugin will add a cachebusting string to .gif images
Plugin URI: http://www.adsanityplugin.com
Author: Pixel Jar
Author URI: http://www.pixeljar.com
Version: 1.2
License: GPL2
Text Domain: adsanity-icb
Domain Path: /lang

    Copyright (C) Jul 23, 2017  Pixel Jar  info@pixeljar.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// If this file is called directly, abort
if ( ! defined( 'ABSPATH' ) ) { die( 'You are not allowed to call this file directly.' ); }

// SET UP PATH CONSTANTS
define( 'ADSANITY_ICB',					'adsanity-icb' );
define( 'ADSANITY_ICB_VERSION',			'1.2' );
define( 'ADSANITY_ICB_URL',				plugin_dir_url( __FILE__ ) );
define( 'ADSANITY_ICB_ABS',				plugin_dir_path( __FILE__ ) );
define( 'ADSANITY_ICB_SLUG',			plugin_basename( __FILE__ ) );
define( 'ADSANITY_ICB_REL',				basename( dirname( __FILE__ ) ) );
define( 'ADSANITY_ICB_VIEWS',			ADSANITY_ICB_ABS . 'views/' );
define( 'ADSANITY_ICB_CSS',				ADSANITY_ICB_URL . 'css/' );
define( 'ADSANITY_ICB_JS',				ADSANITY_ICB_URL . 'js/' );
define( 'ADSANITY_ICB_ADMIN_OPTIONS',	'adsanity-options' );

// Update API
require ADSANITY_ICB_ABS . 'update-engine/remote-api.php';

/**
 * Adds a cache busting string to .gif files so that the browser won't cache them
 * @param  array $attr       attributes for the image
 * @param  WP_Post $attachment the post object for the image
 * @return array             the modified attributes with the cachebusting string
 */
function adsanity_thumbnail_cachebuster( $attr, $attachment ) {

	if( strpos( $attr['src'], '.gif' ) !== false )
	    $attr['src'] = add_query_arg( 'cache-bust', time(), $attr['src'] );

    return $attr;
}
add_filter( 'wp_get_attachment_image_attributes', 'adsanity_thumbnail_cachebuster', 10, 2 );
