const { Component, }  = window.wp.element;
const { __, }         = window.wp.i18n;
const { IconButton, } = window.wp.components

class Ad extends Component {

	constructor() {
		super( ...arguments );
	}

	render() {

		const { ad, index, numAds } = this.props;

		const onAdUp = () => {
			this.props.onAdUp( index );
		}
	
		const onAdDown = () => {
			this.props.onAdDown( index );
		}
	
		const onAdRemove = () => {
			this.props.onAdRemove( index );
		}

		return (
			<div className="ad">
				<p>{ ad.name }</p>
				<div className="buttons">
					<IconButton
						disabled={ 0 === index }
						onClick={ onAdUp }
						label={ __( 'Move Ad Up', 'adsanity' ) }
						icon="arrow-up-alt"
					/>
					<IconButton
						disabled={ index === numAds - 1 }
						onClick={ onAdDown }
						label={ __( 'Move Ad Down', 'adsanity' ) }
						icon="arrow-down-alt"
					/>
					<IconButton
						className="remove"
						onClick={ onAdRemove }
						label={ __( 'Remove Ad', 'adsanity' ) }
						icon="no-alt"
					/>
				</div>
			</div>
		);

	}

}

export default Ad;
