import './interface';

const $       = window.jQuery;
const { __, } = window.wp.i18n;

( function() {
	tinymce.PluginManager.add( 'AdSanityOrderedAdGroupWidget', function( editor, url ) {
		editor.addButton( 'adsanity_oagw', {
			title: AdSanityMCE.adsanity_oagw_tooltip,
			image: url + '/../../images/shortcode-oagw-icon.png',
			onclick: function() {
				// After the modal prints, trigger an event
				window.requestAnimationFrame( function() {
					$( document ).trigger( 'adsanity-oagw-open-tinymce' );
				} );
				// Open a modal
				editor.windowManager.open( {
					body: [ {
						type  : 'container',
						name  : 'ad_list',
						html  : '<div id="adsanity-oagw-shortcode-app"></div>',
					} ],
					id: 'adsanity-oagw-tinymce-modal',
					height: 500,
					onsubmit: function( e ) {
						// Trigger an event that the React app listens to
						$( document ).trigger( 'adsanity-oagw-submit-tinymce' );
						const shortcode = window.adsanityOAGWTinyMCEShortcode;
						editor.insertContent( shortcode );
					},
					title: __( 'Insert Ordered Ad Group', 'adsanity-oagw' ),
					width: 400
				});
			}
		});
	});
})();
