<?php
/*
Plugin Name: AdSanity - Ordered Ad Group Widget
Description: Add-on to AdSanity for displaying a custom grouping of ads in a specific order
Plugin URI: http://www.adsanityplugin.com
Author: Pixel Jar
Author URI: http://www.pixeljar.com
Version: 1.5
License: GPL2
Text Domain: adsanity-oagw
Domain Path: /lang
*/

// If this file is called directly, abort
if ( ! defined( 'ABSPATH' ) ) { die( 'You are not allowed to call this file directly.' ); }

define( 'ADSANITY_OAGW_ABS', plugin_dir_path( __FILE__ ) );

// Activation code
function activate_adsanity_oagw() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-oagw-activator.php';
	Adsanity_OAGW_Activator::activate();

}

// Deactivation code
function deactivate_adsanity_oagw() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-oagw-deactivator.php';
	Adsanity_OAGW_Deactivator::deactivate();

}

register_activation_hook( __FILE__, 'activate_adsanity_oagw' );
register_deactivation_hook( __FILE__, 'deactivate_adsanity_oagw' );

// The core plugin class
require plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-oagw.php';

// The template tag
require_once plugin_dir_path( __FILE__ ) . 'public/template-tag.php';

function run_adsanity_oagw() {

	$plugin = new Adsanity_OAGW();
	$plugin->run();

}

run_adsanity_oagw();
