<?php

class AdSanity_Beaver_Builder_Ordered extends FLBuilderModule {

	public function __construct() {
		parent::__construct( array(
			'name'        => __( 'AdSanity Ordered Ads', 'adsanity-oagw' ),
			'description' => __( 'Place ordered ads', 'adsanity-oagw' ),
			'category'    => __( 'AdSanity', 'adsanity-oagw' ),
			'dir'         => plugin_dir_path( __FILE__ ),
			'url'         => plugin_dir_url( __FILE__ ),
		) );
	}

}

FLBuilder::register_module( 'AdSanity_Beaver_Builder_Ordered', array(
	'adsanity-oagw-tab' => array(
		'title'    => __( 'Settings', 'adsanity-oagw' ),
		'sections' => array(
			'adsanity-oagw-section' => array(
				'title' => __( 'Ad Settings', 'adsanity-oagw' ),
				'fields' => array(
					'ads' => array(
						'type'         => 'form',
						'label'        => __( 'Ads', 'adsanity-oagw' ),
						'form'         => 'adsanity_ordered_form',
						'preview_text' => 'ad_hidden',
						'multiple'     => true,
					),
					'align' => array(
						'type'    => 'select',
						'label'   => __( 'Align', 'adsanity-oagw' ),
						'default' => 'alignnone',
						'options' => array(
							'alignnone'   => __( 'None', 'adsanity-oagw' ),
							'alignleft'   => __( 'Left', 'adsanity-oagw' ),
							'aligncenter' => __( 'Center', 'adsanity-oagw' ),
							'alignright'  => __( 'Right', 'adsanity-oagw' ),
						),
					),
					'num_cols' => array(
						'type'    => 'text',
						'label'   => __( 'Number of Columns', 'adsanity-oagw' ),
						'default' => '1',
					),
					'max_width_enabled' => array(
						'type'    => 'select',
						'label'   => __( 'Max Width Enabled?', 'adsanity-oagw' ),
						'default' => false,
						'options' => array(
							false => __( 'No', 'adsanity-oagw' ),
							true  => __( 'Yes', 'adsanity-oagw' ),
						),
						'toggle' => array(
							true => array(
								'fields' => array( 'max-width' ),
							),
						),
					),
					'max_width' => array(
						'type'  => 'text',
						'label' => __( 'Max Width (px)', 'adsanity-oagw' ),
					),
				),
			),
		),
	),
) );

FLBuilder::register_settings_form( 'adsanity_ordered_form', array(
	'title' => __( 'Ad', 'adsanity-oagw' ),
	'tabs'  => array(
		'general' => array(
			'title'    => __( 'Ad', 'adsanity-oagw' ),
			'sections' => array(
				'general' => array(
					'title'  => '',
					'fields' => array(
						'ad' => array(
							'type'        => 'suggest',
							'placeholder' => __( 'Ad', 'adsanity-oagw' ),
							'label'       => __( 'Ad', 'adsanity-oagw' ),
							'action'      => 'fl_as_posts',
							'data'        => 'ads',
							'limit'       => 1,
						),

						'ad_hidden' => array(
							'type'   => 'text',
							'label'  => __( 'Ad Hidden', 'adsanity-oagw' ),
						),
					),
				),
			),
		),
	),
) );
