import React, { Component } from 'react';
import Ad from '../../../../../../adsanity/page-builders/divi/includes/modules/Components/Ad';
const $ = window.jQuery;
const { rest_endpoint } = window.ADSANITY_DIVI;

class OrderedAd extends Component {

	static slug = 'adsanity_divi_ordered_ad';

	render() {

		if ( ! this.props.content.length ) {
			return;
		}

		const ads = this.props.content.map( ad => {
			return ad.props.attrs.adsanity_ad;
		} );
		const numColumns = this.props.adsanity_num_cols;

		const rows = [];

		let numAds = this.props.content.length;
		if ( ads && ads.length < numAds ) {
			numAds = ads.length;
		}
		const numRows = Math.ceil( numAds / numColumns );
		for ( let i = 0; i < numRows; i++ ) {

			const adsInRow = [];

			for ( let k = 0; k < numColumns; k++ ) {
				const adIndex = ( i * numColumns ) + k;
				if ( adIndex > ads.length || adIndex > numAds - 1 ) {
					break;
				}
				adsInRow.push( <Ad
					key={ `adsanity-divi-ad-group-ad-${ ads[ adIndex ] }` }
					data={ {
						adsanity_ad                : ads[ adIndex ],
						adsanity_align             : 'alignnone',
						adsanity_max_width_enabled : this.props.adsanity_max_width_enabled,
						adsanity_max_width         : this.props.adsanity_max_width,
					} }
				/> );
			}

			rows.push(
				<div className="ad-row" key={ i }>
					{ adsInRow }
				</div>
			);
		}

		return (
			<div>
				<div
					className={ `ad-${ this.props.adsanity_align }` }
				>
					{ rows }
				</div>
				<div style={ {
					clear   : 'both',
					display : 'table',
				} }></div>
			</div>
		);
	}

}

export default OrderedAd;
