<?php
/**
 * Basic Call To Action module (title, content, and button) with NO builder support
 * This module appears as placeholder box on Visual Builder
 *
 * @since 1.0.0
 */
class AdSanity_Divi_Single_Ad_Item extends ET_Builder_Module {

	public function init() {
		$this->name                        = esc_html__( 'Single Ad', 'adsanity-oagw' );
		$this->plural                      = esc_html__( 'Single Ads', 'adsanity-oagw' );
		$this->slug                        = 'adsanity_divi_single_ad_item';
		$this->vb_support                  = 'on';
		$this->type                        = 'child';
		$this->has_advanced_fields         = false;
		$this->no_render                   = true;
		$this->advanced_setting_title_text = __( 'Single Ad', 'adsanity' );

		$this->settings_modal_toggles = [
			'general' => [
				'toggles' => [
					'main_content' => esc_html__( 'Single Ad', 'adsanity' ),
				],
			],
		];

	}

	private function get_ads() {

		// Display all ads that are not expired.
		$ads = get_posts( [
			'numberposts' => -1,
			'post_type'   => 'ads',
		] );

		$options = [];
		foreach ( $ads as $ad ) {
			$options[ $ad->ID ] = $ad->post_title;
		}

		return $options;

	}

	public function get_fields() {
		$fields = [
			'adsanity_ad'     => [
				'type'    => 'select',
				'label'   => __( 'Ad', 'adsanity' ),
				'options' => $this->get_ads(),
			],
		];
		return $fields;
	}

}

new AdSanity_Divi_Single_Ad_Item();
