(function() {
	if ( typeof AdSanityMCE !== 'undefined' && typeof AdSanityRAWMCE !== 'undefined' ) {
		tinymce.PluginManager.add('AdSanityRotatingAdWidget', function( editor, url ) {
			editor.addButton( 'adsanity_raw', {
				title: AdSanityRAWMCE.adsanity_raw_title,
				image: url + '/../../images/shortcode-raw-icon.png',
				onclick: function() {
					var win = editor.windowManager.open( {
						body: [{
							type: 'listbox',
							name: 'ad_group',
							label: AdSanityMCE.adsanity_ad_group_groups_label,
							values: AdSanityMCE.adsanity_ad_group_ad_groups
						},{
							type: 'listbox',
							name: 'align',
							label: AdSanityMCE.adsanity_ad_align_label,
							values: AdSanityMCE.adsanity_ad_align
						},{
							type: 'textbox',
							name: 'num_seconds',
							label: AdSanityRAWMCE.adsanity_raw_num_secs_label,
						}, {
							type: 'checkbox',
							name: 'max_width_enabled',
							label: AdSanityMCE.adsanity_max_width_enabled_label,
							value: 0,
							onclick: function onMaxWidthEnabledClick() {
								var maxWidthField = win.find( '#max_width' );
								var maxWidthLabel = win.find( 'label' )[4];

								if ( this.value() ) {
									maxWidthField.disabled( false );
									maxWidthLabel.disabled( false );
								} else {
									maxWidthField.disabled( true );
									maxWidthLabel.disabled( true );
								}
							},
						}, {
							type: 'textbox',
							id: 'max_width',
							name: 'max_width',
							label: AdSanityMCE.adsanity_max_width_label,
							value: '100',
							disabled: true,
						}, {
							type: 'checkbox',
							name: 'random',
							label: AdSanityRAWMCE.adsanity_random_label,
							text: AdSanityRAWMCE.adsanity_random_desc,
							checked: true,
						}, ],
						onsubmit: function( e ) {

							if ( e.data.num_seconds === '' ) {
								var window_id = this._id;
								var inputs = jQuery( '#' + window_id + '-body' ).find( '.mce-formitem input' );
								jQuery( inputs ).css( 'border-color', '#ddd' );

								editor.windowManager.alert( AdSanityMCE.empty_ad_group_fields );

								if ( e.data.num_seconds === '') {
									jQuery( inputs.get(0) ).css( 'border-color', 'red' );
								}

								return false;
							}

							var shortcode = `[adsanity_rotating align="${ e.data.align }" time="${ e.data.num_seconds }" group_id="${ e.data.ad_group }"`;
							if ( e.data.max_width_enabled ) {
								shortcode += ` max_width="${ parseFloat( e.data.max_width ) }"`;
							}
							if ( ! e.data.random ) {
								shortcode += ` random=0`;
							}
							shortcode += '/]';

							editor.insertContent( shortcode );
						},
						title: AdSanityRAWMCE.adsanity_raw_title,
						height: 242,
						width: 480
					});
				}
			});
		});
	}
})();
