<?php
/*
Plugin Name: AdSanity - Rotating Ad Widget
Description: Add-on to Adsanity for displaying rotating ads on a page
Plugin URI: http://www.adsanityplugin.com
Author: Pixel Jar
Author URI: http://www.pixeljar.com
Version: 1.5
License: GPL2
Text Domain: adsanity-raw
Domain Path: /lang
*/

// If this file is called directly, abort
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'ADSANITY_RAW_ABS', plugin_dir_path( __FILE__ ) );
define( 'ADSANITY_RAW_VERSION', '1.5' );

// Activation code
function activate_adsanity_raw() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-raw-activator.php';
	Adsanity_RAW_Activator::activate();

}

// Deactivation code
function deactivate_adsanity_raw() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-raw-deactivator.php';
	Adsanity_RAW_Deactivator::deactivate();

}

// Upgrade code
function upgrade_adsanity_raw() {

	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-raw-upgrade.php';
	Adsanity_RAW_Upgrade::upgrade();

}

register_activation_hook( __FILE__, 'activate_adsanity_raw' );
register_deactivation_hook( __FILE__, 'deactivate_adsanity_raw' );
upgrade_adsanity_raw();

// The core plugin class
require plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-raw.php';

// The template tag
require_once plugin_dir_path( __FILE__ ) . 'public/template-tag.php';

function run_adsanity_raw() {

	$plugin = new Adsanity_RAW();
	$plugin->run();

}

run_adsanity_raw();
