<?php

/**
 * Fired during plugin upgrade
 */
class Adsanity_RAW_Upgrade {

	public static function upgrade() {

		$adsanity_raw_db = get_option( 'adsanity_raw_db', false );

		// Upgrading from < 1.5.
		if ( false === $adsanity_raw_db || version_compare( '1.5', $adsanity_raw_db, '>' ) ) {

			add_action( 'init', array( __CLASS__, 'upgrade_to_1_5' ) );

		}

	}

	public static function upgrade_to_1_5() {

		$public = new Adsanity_RAW_Public( 'adsanity_raw', ADSANITY_RAW_VERSION );
		$public->endpoint();
		flush_rewrite_rules();

		update_option( 'adsanity_raw_db', '1.5' );

	}

}
