<?php

class AdSanity_Beaver_Builder_Rotating extends FLBuilderModule {

	public function __construct() {
		parent::__construct( array(
			'name'        => __( 'AdSanity Rotating Ad', 'adsanity-raw' ),
			'description' => __( 'Place a rotating ad', 'adsanity-raw' ),
			'category'    => __( 'AdSanity', 'adsanity-raw' ),
			'dir'         => plugin_dir_path( __FILE__ ),
			'url'         => plugin_dir_url( __FILE__ ),
		) );
	}

}

FLBuilder::register_module( 'AdSanity_Beaver_Builder_Rotating', array(
	'adsanity-raw-tab' => array(
		'title'    => __( 'Settings', 'adsanity-raw' ),
		'sections' => array(
			'adsanity-raw-section' => array(
				'title' => __( 'Ad Settings', 'adsanity-raw' ),
				'fields' => array(
					'group' => array(
						'type'        => 'suggest',
						'placeholder' => __( 'Ad Group', 'adsanity-raw' ),
						'label'       => __( 'Ad Group', 'adsanity-raw' ),
						'action'      => 'fl_as_terms',
						'data'        => 'ad-group',
						'limit'       => 1,
					),
					'align' => array(
						'type'    => 'select',
						'label'   => __( 'Align', 'adsanity-raw' ),
						'default' => 'alignnone',
						'options' => array(
							'alignnone'   => __( 'None', 'adsanity-raw' ),
							'alignleft'   => __( 'Left', 'adsanity-raw' ),
							'aligncenter' => __( 'Center', 'adsanity-raw' ),
							'alignright'  => __( 'Right', 'adsanity-raw' ),
						),
					),
					'time' => array(
						'type'    => 'text',
						'label'   => __( 'Time (seconds)', 'adsanity-raw' ),
						'default' => '1',
					),
					'max_width_enabled' => array(
						'type'    => 'select',
						'label'   => __( 'Max Width Enabled?', 'adsanity-raw' ),
						'default' => false,
						'options' => array(
							false => __( 'No', 'adsanity-raw' ),
							true  => __( 'Yes', 'adsanity-raw' ),
						),
						'toggle' => array(
							true => array(
								'fields' => array( 'max_width', ),
							),
						),
					),
					'max_width' => array(
						'type'  => 'text',
						'label' => __( 'Max Width (px)', 'adsanity-raw' ),
					),
					'random' => array(
						'type'        => 'select',
						'label'       => __( 'Order Randomly?', 'adsanity-raw' ),
						'description' => __( '(defaults to ordering by publish date)', 'adsanity-raw' ),
						'default'     => true,
						'options'     => array(
							false         => __( 'No', 'adsanity-raw' ),
							true          => __( 'Yes', 'adsanity-raw' ),
						),
					),
				),
			),
		),
	),
) );
