import React, { Component } from 'react';
import Ad from '../../../../../../adsanity/page-builders/divi/includes/modules/Components/Ad';
const $ = window.jQuery;
const { rest_endpoint } = window.ADSANITY_DIVI;

class RotatingAd extends Component {

	static slug = 'adsanity_divi_rotating_ad';

	constructor() {
		super( ...arguments );
		this.state = {
			adId: null,
		};
	}

	//
	// After component mount
	//
	componentDidMount() {
		this.getAdId();
	}

	//
	// Handle updates
	//
	componentDidUpdate ( prevProps ) {

		if (
			! this.props.content.length ||
			! this.props.content[0].props ||
			! this.props.content[0].props.attrs ||
			! this.props.content[0].props.attrs.adsanity_group
		) {
			return;
		}

		if (
			! prevProps.content.length ||
			! prevProps.content[0].props ||
			! prevProps.content[0].props.attrs ||
			! prevProps.content[0].props.attrs.adsanity_group
		) {
			this.getAdId();
			return;
		}

		if ( this.props.content[0].props.attrs.adsanity_group !== prevProps.content[0].props.attrs.adsanity_group ) {
			this.getAdId();
		}

	}

	getAdId() {

		if (
			! this.props.content.length ||
			! this.props.content[0].props ||
			! this.props.content[0].props.attrs ||
			! this.props.content[0].props.attrs.adsanity_group
		) {
			return;
		}

		const groupId = Number.parseInt( this.props.content[0].props.attrs.adsanity_group );

		$.get( `${ rest_endpoint }ad-group/${ groupId }` )
			.done( ( data ) => {
				if ( ! data.ad_ids || ! data.ad_ids.length ) {
					return;
				}

				const adId = data.ad_ids[ Math.floor( Math.random() * data.ad_ids.length ) ];

				this.setState( {
					adId: adId,
				} );
			} )
			.fail( ( error ) => {
				console.error( error );
			} );

	}

	render() {

		const propsCopy = Object.assign( {}, this.props );
		propsCopy.adsanity_ad = this.state.adId;
		return <div>
			<Ad data={ propsCopy }/>
			<div style={ {
				clear   : 'both',
				display : 'table',
			} }></div>
		</div>;
	}

}

export default RotatingAd;
