<?php
/**
 *
 * @link              https://www.pixeljar.com
 * @since             1.0.0
 * @package           Adsanity_Urav
 *
 * @wordpress-plugin
 * Plugin Name:       AdSanity - User Role Ad Visibility
 * Plugin URI:        https://www.adsanityplugin.com
 * Description:       Add-on to AdSanity that allows administrators to control the visibility of ads based on user role
 * Version:           1.1.0
 * Author:            Pixel Jar
 * Author URI:        https://www.pixeljar.com
 * License:           GPL2
 * Text Domain:       adsanity-urav
 * Domain Path:       /lang
 */

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	die( 'You are not allowed to call this file directly.' );
}

define( 'ADSANITY_URAV_ABS', plugin_dir_path( __FILE__ ) );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-adsanity-urav-activator.php
 */
function activate_adsanity_urav() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-urav-activator.php';
	Adsanity_Urav_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-adsanity-urav-deactivator.php
 */
function deactivate_adsanity_urav() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-urav-deactivator.php';
	Adsanity_Urav_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_adsanity_urav' );
register_deactivation_hook( __FILE__, 'deactivate_adsanity_urav' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-urav.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_adsanity_urav() {

	$plugin = new Adsanity_Urav();
	$plugin->run();

}
run_adsanity_urav();
