import 'select2';
import 'select2/dist/css/select2.min.css';

const $ = window.jQuery;

// Initialize the color picker
$( '.adsanity-vii-color-picker' ).wpColorPicker();

// Initialize Select2
$( '.adsanity-vii-select' ).select2();

// Disable IAB tier 2 until tier 1 has value
function checkIABDropdown() {

	const catOne = $( '#adsanity-vii-iabCategory' );
	const catTwo = $( '#adsanity-vii-iabCategory2' );

	if ( catOne.val() ) {
		catTwo.select2( 'data', null );
		catTwo.removeAttr( 'disabled' );
		const catTwoVal = catTwo.val();

		catTwo.children().each( function() {
			if ( $( this ).val().startsWith( `${catOne.val()}-` ) ) {
				$( this ).removeAttr( 'disabled' );
			} else {
				$( this ).attr( 'disabled', true );
			}
		} );

		if ( catTwoVal && ! catTwoVal.startsWith( `${catOne.val()}-` ) ) {
			catTwo.val( '' );
			catTwo.trigger( 'change.select2' );
		}

		catTwo.select2( 'destroy' );
		catTwo.select2();
		return;
	}

	catTwo.val( '' );
	catTwo.trigger( 'change.select2' );
	catTwo.attr( 'disabled', true );
	return;
}

checkIABDropdown();
$( '#adsanity-vii-iabCategory' ).change( checkIABDropdown );

const required = [
	document.getElementById( 'adsanity-vii-adUnitType' ),
	document.getElementById( 'adsanity-vii-iabCategory' ),
	document.getElementById( 'adsanity-vii-language' ),
];

// Validate the form
function validateForm() {

	let validated = true;

	required.forEach( ( field ) => {
		if ( ! field.value || field.value === '' ) {
			field.classList.add( 'required' );
			validated = false;
		}
	} );

	return validated;
}

required.forEach( ( element ) => {

	$( element ).change( ( e ) => {
		if ( e.target.value ) {
			element.classList.remove( 'required' );
		} else {
			element.classList.add( 'required' );
		}
	} );
} )

$( '#post' ).submit( ( e ) => {

	if ( ! $( 'a[href="#vi"]' ).hasClass( 'nav-tab-active' ) ) {
		return;
	}

	const validated = validateForm();

	if ( ! validated ) {
		e.preventDefault();
	}

	return;
} );
