<?php

	/**
	 * First param = id/name
	 * Second param = Label text
	 * Third param = options
	 * Fourth param = placeholder
	 * Fifth param = optional after select
	 */
	$dropdown_format = '<tr>
		<th>
			<label for="adsanity-vii-%1$s">%2$s</label>
		</th>
		<td>
			<select
				id="adsanity-vii-%1$s"
				name="adsanity-vii[%1$s]"
				type="text"
				class="adsanity-vii-select regular-text"
			>
				<option value="" selected>%4$s</option>
				%3$s
			</select>
			<span class="description">%5$s</span>
		</td>
	</tr>' ;

	$option_format = '<option value="%s" %s>%s</option>';

	/**
	 * First param = id/name
	 * Second param = Label text
	 * Third param = value
	 */
	$color_picker_format = '<tr>
		<th>
			<label for="adsanity-vii-%1$s">%2$s</label>
		</th>
		<td>
			<input
				id="adsanity-vii-%1$s"
				name="adsanity-vii[%1$s]"
				type="text"
				class="adsanity-vii-color-picker"
				value="%3$s"
			>
		</td>
	</tr>';

	/**
	 * First param = id/name
	 * Second param = Label text
	 * Third param = placeholder
	 * Fourth param = value
	 */
	$textarea_format = '<tr>
		<th>
			<label for="adsanity-vii-%1$s">%2$s</label>
		</th>
		<td>
			<textarea
				id="adsanity-vii-%1$s"
				name="adsanity-vii[%1$s]"
				type="text"
				class="regular-text"
				maxlength="200"
				placeholder="%3$s"
			>%4$s</textarea>
			<span class="description">%5$s</span>
		</td>
	</tr>';

?>

<div class="left">

	<p><?php
		esc_html_e( 'Use this form to customize the look of the video unit.', 'adsanity-vii' );
		echo ' ';
		esc_html_e( 'Use the same parameters as your WordPress theme for a natural look on your site.', 'adsanity-vii' );
	?></p>

	<table class="form-table">
		<tbody>
		<?php
		// Ad Unit*
		$ad_unit_type = 'NATIVE_VIDEO_UNIT';
		if ( array_key_exists( 'adUnitType', $post_meta ) ) {
			$ad_unit_type = $post_meta['adUnitType'];
		}

		$ad_unit_options = sprintf( $option_format,
			esc_attr( 'NATIVE_VIDEO_UNIT' ),
			selected( 'NATIVE_VIDEO_UNIT' === $ad_unit_type, true, false ),
			esc_html( 'vi stories' )
		);

		printf( $dropdown_format,
			esc_attr( 'adUnitType' ),
			esc_html__( 'Ad Unit*', 'adsanity-vii' ),
			$ad_unit_options,
			esc_html__( 'Select ad unit', 'adsanity-vii' ),
			esc_html__( '* Use one vi stories unit per page', 'adsanity-vii' )
		);

		// Keywords
		$keywords = '';
		if ( array_key_exists( 'keywords', $post_meta ) ) {
			$keywords = $post_meta['keywords'];
		}

		printf( $textarea_format,
			esc_attr( 'keywords' ),
			esc_html__( 'Keywords', 'adsanity-vii' ),
			esc_attr__( 'Max length 200 chars. a-z, A-Z, numbers, dashes, umlauts, and accents allowed', 'adsanity-vii' ),
			esc_html( $keywords ),
			esc_html__( 'Comma separated values describing the content of the page (e.g. \'cooking, grilling, pork\').', 'adsanity-vii' )
		);

		// IAB Category*
		$iab_category = '';
		if ( array_key_exists( 'iabCategory', $post_meta ) ) {
			$iab_category = $post_meta['iabCategory'];
		}

		$iab_category_url = sprintf( '<em><a target="_blank" href="%s">%s</a></em>',
			esc_attr( $iab_category_url ),
			esc_html__( 'See complete list', 'adsanity-vii' )
		);

		$iab_options = '';
		foreach ( $iab_categories as $key => $value ) {

			if ( preg_match( '/\-/', $key ) ) {
				continue;
			}

			$iab_options .= sprintf( $option_format,
				esc_attr( $key ),
				selected( $key === $iab_category, true, false ),
				esc_html( $value )
			);
		}

		printf( $dropdown_format,
			esc_attr( 'iabCategory' ),
			esc_html__( 'IAB Category*', 'adsanity-vii' ),
			$iab_options,
			esc_html__( 'Select tier 1 category', 'adsanity-vii' ),
			$iab_category_url
		);

		$iab_category_two = '';
		if ( array_key_exists( 'iabCategory2', $post_meta ) ) {
			$iab_category_two = $post_meta['iabCategory2'];
		}

		$iab_options = '';
		foreach ( $iab_categories as $key => $value ) {
			$iab_options .= sprintf( $option_format,
				esc_attr( $key ),
				selected( $key === $iab_category_two, true, false ),
				esc_html( $value )
			);
		}

		printf( $dropdown_format,
			esc_attr( 'iabCategory2' ),
			'',
			$iab_options,
			esc_html__( 'Select tier 2 category', 'adsanity-vii' ),
			''
		);

		// Language*
		$language_value = '';
		if ( array_key_exists( 'language', $post_meta ) ) {
			$language_value = $post_meta['language'];
		}

		$language_options = '';
		foreach ( $languages as $language ) {
			$language = get_object_vars( $language );
			$key = key( $language );
			$value = $language[ $key ];

			$language_options .= sprintf( $option_format,
				esc_attr( $key ),
				selected( $key === $language_value, true, false ),
				esc_html( $value )
			);
		}

		printf( $dropdown_format,
			esc_attr( 'language' ),
			esc_html__( 'Language*', 'adsanity-vii' ),
			$language_options,
			esc_html__( 'Select language', 'adsanity-vii' ),
			''
		);

		// Native Background color
		$bg_color = '#ffffff';
		if ( array_key_exists( 'backgroundColor', $post_meta ) ) {
			$bg_color = $post_meta['backgroundColor'];
		}

		printf( $color_picker_format,
			esc_attr( 'backgroundColor' ),
			esc_html__( 'Native Background color', 'adsanity-vii' ),
			esc_attr( $bg_color )
		);

		// Native Text color
		$text_color = '#000000';
		if ( array_key_exists( 'textColor', $post_meta ) ) {
			$text_color = $post_meta['textColor'];
		}

		printf( $color_picker_format,
			esc_attr( 'textColor' ),
			esc_html__( 'Native Text color', 'adsanity-vii' ),
			esc_attr( $text_color )
		);

		// // Native Text Font Family
		$font_family_value = '';
		if ( array_key_exists( 'font', $post_meta ) ) {
			$font_family_value = $post_meta['font'];
		}

		$font_families = array(
			'Georgia',
			'Palatino Linotype',
			'Times New Roman',
			'Arial',
			'Arial Black',
			'Comic Sans MS',
			'Impact',
			'Lucida Sans Unicode',
			'Tahoma',
			'Trebuchet MS',
			'Verdana',
			'Courier New',
			'Lucida Console',
		);
		$font_family_options = '';

		foreach ( $font_families as $font_family ) {
			$font_family_options .= sprintf( $option_format,
				esc_attr( $font_family ),
				selected( $font_family === $font_family_value, true, false ),
				esc_html( $font_family )
			);
		}

		printf( $dropdown_format,
			esc_attr( 'font' ),
			esc_html__( 'Native Text Font Family', 'adsanity-vii' ),
			$font_family_options,
			esc_html__( 'Select font family', 'adsanity-vii' ),
			''
		);

		// Native Text Font Size
		$font_size_value = '';
		if ( array_key_exists( 'fontSize', $post_meta ) ) {
			$font_size_value = $post_meta['fontSize'];
		}

		$font_sizes = array( 8, 9, 10, 11, 12, 14, 16, 18, 20, 22, 24, 26, 28, 36 );
		$font_size_options = '';

		foreach ( $font_sizes as $font_size ) {
			$font_size_options .= sprintf( $option_format,
				esc_attr( $font_size ),
				selected( intval( $font_size ) === intval( $font_size_value ), true, false ),
				esc_html( $font_size . 'px' )
			);
		}

		printf( $dropdown_format,
			esc_attr( 'fontSize' ),
			esc_html__( 'Native Text Font Size', 'adsanity-vii' ),
			$font_size_options,
			esc_html__( 'Select size', 'adsanity-vii' ),
			''
		);

		?>
		</tbody>
	</table>

	<p><i><?php
		printf(
			esc_html__( '%s Ad Changes might take some time to take into effect.' ),
			'vi'
		);
	?></i></p>
</div>

<!-- Explanatory image -->
<?php
	printf(
		'<img class="sample-vi-player" src="%s" alt="%s">',
		plugin_dir_url( __FILE__ ) . '../../src/images/img_example.svg',
		esc_attr__( 'Shows a simple example of a video intelligence ad spot', 'adsanity-vii' )
	);
