<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://pixeljar.com
 * @since             1.0.0
 * @package           AdSanity_VII
 *
 * @wordpress-plugin
 * Plugin Name:       AdSanity - video intelligence Integration
 * Plugin URI:        https://adsanityplugin.com
 * Description:       Extension for AdSanity which integrates with video intelligence, allowing publishers to add vi video stories.
 * Version:           1.4
 * Author:            Pixel Jar
 * Author URI:        https://pixeljar.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       adsanity-vii
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 */
define( 'ADSANITY_VII_VERSION', '1.4' );
define( 'ADSANITY_VII_ABS', plugin_dir_path( __FILE__ ) );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-adsanity-vii-activator.php
 */
function activate_adsanity_vii() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-vii-activator.php';
	AdSanity_VII_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-adsanity-vii-deactivator.php
 */
function deactivate_adsanity_vii() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-vii-deactivator.php';
	AdSanity_VII_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_adsanity_vii' );
register_deactivation_hook( __FILE__, 'deactivate_adsanity_vii' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-adsanity-vii.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_adsanity_vii() {

	$plugin = new AdSanity_VII();
	$plugin->run();

}
run_adsanity_vii();
