import '../sass/styles.scss';
import chartInit from './charts';
import Vue from 'vue';
import axios from 'axios';
import { stringify } from 'qs';
import { reloadPage, formatCurrency } from './helpers';

const app = new Vue( {
	el: '#app',
	data: {
		email: '',
		password: '',
		tabStatus: ADSANITY_VII_AUTH.isLoggedIn ? 'loggedIn' : 'notLoggedIn',
		signInError: window.location.hash === '#sign-in-error',
	},

	methods: {

		//
		// Handle sign in with post to ajaxurl
		//
		handleSignIn() {

			this.tabStatus = 'loading';

			axios.post( ajaxurl,
				stringify( {
					action: 'adsanity-vii-authenticate-user',
					email: this.email,
					password: this.password,
				} )
			)
			.then( ( response ) => {
				if ( ! response.data.success ) {
					return reloadPage( 'sign-in-error' );
				}
				reloadPage();
			} )
			.catch( ( error ) => {
				console.log( `Error: ${ error }` );
			} );
		},

		//
		// Handle Log Out button click
		//
		handleLogOut() {

			this.tabStatus = 'loading';

			axios.post( ajaxurl,
				stringify( {
					action: 'adsanity-vii-log-out',
				} )
			)
			.then( ( response ) => {
				if ( ! response.data.success ) {
					throw new Error( 'Something went wrong with the request!' );
				}
				reloadPage();
			} )
			.catch( ( error ) => {
				console.log( `Error: ${ error }` );
			} );
		},

		reloadPage,
	},

	mounted() {
		// Initialize chart after Vue is mounted
		chartInit();
	},
} );
