<?php
	if ( $revenue_data ) {
		$net_revenue = $revenue_data->netRevenue;
		$revenue_report = $revenue_data->mtdReport;
	}
?>

<div class="logged-in card" v-show="tabStatus === 'loggedIn'">

	<h1><?php
		printf(
			'<img src="%s">',
			plugin_dir_url( __FILE__ ) . '../../src/images/vi-logo.png'
		);
	?>
		<a
			target="_blank"
			href="<?php echo $vi_settings->dashboardURL; ?>"
		>
			<button class="button button-secondary right"><?php esc_html_e( 'Publisher Dashboard', 'adsanity-vii' ); ?></button>
		</a>
	</h1>

	<p><?php esc_html_e( 'Below you can see your current revenues', 'adsanity-vii' ); ?></p>
	<p><?php
		echo wp_kses(
			sprintf(
				__( 'Don\'t see anything? Consult the <a href="%s" target="_blank">FAQS</a>', 'adsanity-vii' ),
				'https://vi.ai/publisherfaq/'
			),
			array(
				'a' => array(
					'href'   => array(),
					'target' => array(),
				),
			)
		);
		'https://vi.ai/publisherfaq/'
	?></p>

	<?php if ( ! $revenue_data ) { ?>

		<p class="red-text"><strong><?php esc_html_e( 'There was an error processing your request. Please try again later.', 'adsanity-vii' ); ?></strong></p>

	<?php } else { ?>

		<p>Total earnings: <strong><?php
			echo money_format( '$%i', $net_revenue );
		?></strong></p>

		<p>
			<canvas
				data-revenue="<?php echo esc_attr( json_encode( $revenue_report ) ); ?>"
				id="revenue-chart"
				width="100"
				height="50"
			></canvas>
		</p>

	<?php } ?>
	<a
		href="<?php echo add_query_arg( array( 'post_type' => 'ads' ), admin_url( 'post-new.php' ) ); ?>#vi"
	>
		<button class="button button-primary"><?php esc_html_e( 'Create Video Ad', 'adsanity-vii' ); ?></button>
	</a>

	<button
		@click="handleLogOut"
		class="button right"
	><?php esc_html_e( 'Log Out', 'adsanity-vii' ); ?></button>

</div><!-- .logged-in -->
