<!-- Display a Notice if the site is not SSL -->
<?php if ( ! is_ssl() ) { ?>
	<div class="notice notice-error">
		<p><?php
			echo wp_kses(
				__( '<strong>Warning!</strong> It is strongly recommended that you use <code>https</code> on your website. Login information may not be secure.', 'adsanity-vii' ),
				array(
					'strong' => array(),
					'code'   => array(),
				)
			);
		?></p>
	</div>
<?php } ?>

<!-- Display a Notice when ads.txt is updated -->
<?php if ( get_transient( 'adsanity-vii-ads-txt-success' ) ) { ?>
	<div class="notice notice-success is-dismissible">
		<p><?php
			echo wp_kses(
				sprintf(
					__( '%s successfully updated your %s file. Now you can monetize your website with video ads. <a href="%s">Set up %s stories now</a>', 'adsanity-vii' ),
					'AdSanity',
					'ads.txt',
					add_query_arg( array( 'post_type' => 'ads' ), admin_url( 'post-new.php' ) ) . '#vi',
					'vi'
				),
				array(
					'a' => array( 'href' => array() ),
				)
			);
		?></p>
	</div>
<?php } ?>

<!-- Display a Notice when ads.txt fails to update -->
<?php if ( get_transient( 'adsanity-vii-ads-txt-error' ) ) { ?>
	<div class="notice notice-error is-dismissible">
		<p><?php printf(
			esc_html__( 'Something went wrong when connecting to the %s API, we are working to fix the issue.', 'adsanity-vii' ),
			'vi'
		); ?></p>
	</div>
<?php } ?>

<!-- The main view div, also our Vue application -->
<div class="wrap" id="app" v-cloak>

	<h1><?php
		printf(
			esc_html__( 'Video content and video advertising – powered by %s', 'adsanity-vii' ),
			'video intelligence'
		);
	?></h1>

	<div class="card loading" v-show="tabStatus === 'loading'">
		<p><?php esc_html_e( 'Loading...', 'adsanity-vii' ); ?></p>
		<img src="<?php echo admin_url( 'images/spinner.gif' ); ?>" alt="<?php esc_attr_e( 'Spinner', 'adsanity-vii' ); ?>">
	</div>

	<?php require_once plugin_dir_path( __FILE__ ) . 'not-logged-in.php'; ?>

	<?php require_once plugin_dir_path( __FILE__ ) . 'logged-in.php'; ?>

	<?php require_once plugin_dir_path( __FILE__ ) . 'sign-in.php'; ?>

	<?php require_once plugin_dir_path( __FILE__ ) . 'sign-up.php'; ?>
</div>
