<?php
	wp_nonce_field( 'adsanity_wa', 'adsanity_wa_nonce' );
	$weight = get_post_meta( get_the_ID(), 'adsanity_wa_weight', true );

	if ( ! $weight ) {
		$weight = 50;
	}

	$weight = intval( $weight );
?>

<p><?php esc_html_e( 'The frequency at which this ad should appear.', 'adsanity-wa' ); ?></p>

<hr>

<div class="slider">

<?php

	$slide_format = '<div class="slide">
		<input
			id="%1$s"
			type="radio"
			value="%2$d"
			name="' . esc_attr( ADSANITY_WA_META_KEY ) . '"
			%3$s
		>
		<label for="%1$s">%4$s</label>
	</div>';

	printf(
		$slide_format,
		esc_attr( 'adsanity-wa-low' ),
		1,
		checked( 1 === $weight, true, false ),
		esc_html__( 'Lowest', 'adsanity-wa' )
	);

	printf(
		$slide_format,
		esc_attr( 'adsanity-wa-medium-low' ),
		25,
		checked( 25 === $weight, true, false ),
		esc_html__( 'Low', 'adsanity-wa' )
	);

	printf(
		$slide_format,
		esc_attr( 'adsanity-wa-normal' ),
		50,
		checked( 50 === $weight, true, false ),
		esc_html__( 'Medium', 'adsanity-wa' )
	);

	printf(
		$slide_format,
		esc_attr( 'adsanity-wa-medium-high' ),
		75,
		checked( 75 === $weight, true, false ),
		esc_html__( 'High', 'adsanity-wa' )
	);

	printf(
		$slide_format,
		esc_attr( 'adsanity-wa-high' ),
		100,
		checked( 100 === $weight, true, false ),
		esc_html__( 'Highest', 'adsanity-wa' )
	);

?>

</div>
