<?php if ( ! defined( 'ABSPATH' ) ) { die( 'You are not allowed to call this file directly.' ); } ?>
<div class="wrap">
	<h1>AdSanity: <?php esc_html_e( 'Changelog', 'adsanity' ); ?></h1>

	<h2 class="nav-tab-wrapper wp-clearfix">
		<a href="<?php echo esc_url( add_query_arg( array( 'post_type' => 'ads', 'page' => 'adsanity-about' ), admin_url( 'edit.php' ) ) ); ?>" class="nav-tab"><?php esc_html_e( 'Welcome', 'adsanity' ); ?></a>
		<a href="<?php echo esc_url( add_query_arg( array( 'post_type' => 'ads', 'page' => 'adsanity-add-ons' ), admin_url( 'edit.php' ) ) ); ?>" class="nav-tab"><?php esc_html_e( 'Add-Ons', 'adsanity' ); ?></a>
		<a href="<?php echo esc_url( add_query_arg( array( 'post_type' => 'ads', 'page' => 'adsanity-support' ), admin_url( 'edit.php' ) ) ); ?>" class="nav-tab"><?php esc_html_e( 'Support', 'adsanity' ); ?></a>
		<a href="<?php echo esc_url( add_query_arg( array( 'post_type' => 'ads', 'page' => 'adsanity-changelog' ), admin_url( 'edit.php' ) ) ); ?>" class="nav-tab nav-tab-active"><?php esc_html_e( 'Changelog', 'adsanity' ); ?></a>
	</h2>
</div>

<div class="wrap about-wrap full-width-layout">

	<div class="feature-section one-col">
		<div class="col">
			<h2>
				<?php esc_html_e( 'AdSanity 1.8 features Custom Divi Modules, an updated reporting interface, WordPress 5.5 compatibility, developer features, and more!', 'adsanity' ); ?>
			</h2>
			<p>
				<?php
					esc_html_e( 'There is a lot of things that we are proud of in this release. Lots of new features and improvements as well as a few bugfixes. We hope this makes your advertising experience even better.', 'adsanity' );
				?>
			</p>
		</div>
	</div>

	<div class="inline-svg full-width">
		<picture>
			<source media="(max-width: 500px)" srcset="<?php echo 'https://adsanityplugin.com/images/adsanity-plugin-460x550.jpg'; ?>">
			<img src="https://adsanityplugin.com/images/adsanity-plugin-1200x600.jpg" alt="<?php esc_attr_e( 'AdSanity: Simplified Ad Management for WordPress', 'adsanity' ); ?>">
		</picture>
	</div>

	<!-- What's New? -->
	<div class="feature-section one-col">
		<div class="col">
			<h2>
			<?php esc_html_e( 'What\'s New?', 'adsanity' ); ?>
			</h2>
		</div>
	</div>
	<section class="cards">
		<article class="card">
			<h1><?php esc_html_e( 'Custom Divi Modules', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'If you are a Divi user, you have probably had to use our widgets or shortcodes in the past. Well, no more! We build some custom Divi modules so you can use the tools that you already know and love.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Reporting Engine', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'We have added some more developer features under-the-hood of the reporting engine to facilitate modifications to the reports as well as the report exports.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Text-Based Ads', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'We have been getting great feeback about the new Text ads feature from our last release. Now, you can use shortcodes in your ads as well to provide even more dynamic experiences for your site visitors.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Active/Inactive Ads', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'We have made the Ad Groups page a little more useful by showing you how many ads in each group are actively showing.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Lazy Loading', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'Lazy loading can be great for performance, but can also cause issues for content loaded after the page loads. We have standardized our ads to not be lazy loaded for the most compatibility with all themes.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Automatic Inclusion', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'The automatic inclusion settings can now be extended. This allows you or your developer to create new rules and conditions for displaying ads that are unique to your site.', 'adsanity' ); ?></p>
		</article>
	</section>

	<!-- Updated Features. -->
	<div class="feature-section one-col">
		<div class="col">
			<h2>
			<?php esc_html_e( 'Updated Features.', 'adsanity' ); ?>
			</h2>
		</div>
	</div>
	<section class="cards">
		<article class="card">
			<h1><?php esc_html_e( 'WordPress 5.5 compatibility', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'WordPress 5.5 deprecated a jQuery compatibility layer which broke AdSanity for some of you. We have rewritten some legacy code that was causing the issue.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Custom Reports UI', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'We have made some slight enhancements to the Custom Reports screen that will make it easier to use on screens of all sizes.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'HTML5 Upload Enhancements', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'HTML5 Ads come in all shapes, sizes, and formats. We updated our upload engine to detect when something is going to cause a problem and let you know before it becomes a problem.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Widgets', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'The single ad widget now supports the max width setting. Additionally, we have implemented some performance enhancements to the widget interface in the Customizer.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Security', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'While none of our code was vulnerable, we have aligned our security protocols with the best practices defined in the WordPress Coding Standards.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Bot Detection', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'Bot detection is an ever evolving landscape. We take advantage of the excellent bot detection library created by the Matomo project. We have updated our library to include the latest they have to offer.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Columns', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'If you use Yoast, or another SEO platform, you may have noticed a bunch of non-AdSanity columns in your ad list. We have adjusted our code to account for most of these so that you can focus on the information that is most important to your ads.', 'adsanity' ); ?></p>
		</article>
	</section>

	<!-- Bugs Squashed. -->
	<div class="feature-section one-col">
		<div class="col">
			<h2>
			<?php esc_html_e( 'Bugs Squashed.', 'adsanity' ); ?>
			</h2>
		</div>
	</div>
	<section class="cards">
		<article class="card">
			<h1><?php esc_html_e( 'Automatic Inclusion', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'The automatic inclusion settings used to run on the back-end. This was causing compatibility issues with users of Make/Make Plus. We updated our code to be more compatible.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Stats', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'We have fixed the misreporting of stats in a number of places in a variety of places in the WordPress Dashboard.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Page Builder Compatibility', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'We updated some of our code to be more compatible with page builder plugins.', 'adsanity' ); ?></p>
		</article>
		<article class="card">
			<h1><?php esc_html_e( 'Add-on Compatibility', 'adsanity' ); ?></h1>
			<p><?php esc_html_e( 'The Google Analytics Tracking Integration add-on had some issues after our last release with reporting on the ad edit screen. This has been resolved.', 'adsanity' ); ?></p>
		</article>
	</section>

	<hr />

	<?php do_action( 'adsanity_changelog_screen' ); ?>

	<div class="return-to-dashboard">
		<a href="<?php echo esc_url( add_query_arg( 'post_type', 'ads', admin_url( 'post-new.php' ) ) ); ?>"><?php esc_html_e( 'Create Ad', 'adsanity' ); ?></a> |
		<a href="<?php echo esc_url( add_query_arg( array( 'post_type' => 'ads', 'page' => 'adsanity-stats' ), admin_url( 'edit.php' ) ) ); ?>"><?php esc_html_e( 'View Reports', 'adsanity' ); ?></a> |
		<a href="<?php echo esc_url( add_query_arg( array( 'post_type' => 'ads', 'page' => 'adsanity-add-ons' ), admin_url( 'edit.php' ) ) ); ?>"><?php esc_html_e( 'View Add-Ons', 'adsanity' ); ?></a> |
		<a href="<?php echo esc_url( add_query_arg( array( 'post_type' => 'ads', 'page' => 'adsanity-support' ), admin_url( 'edit.php' ) ) ); ?>"><?php esc_html_e( 'Get Support', 'adsanity' ); ?></a>
	</div>
</div>

<div class="clear"></div>
