<?php

/**
 * Helper functions for this plugin
 */

if ( ! class_exists( 'AdSanity_AI_Utilities' ) ) {

	class AdSanity_AI_Utilities {

		function __construct() {}

		/**
		 * Get the all time view count for an ad
		 */
		public static function get_all_time_views( $ad_id ) {

			global $wpdb;

			$views = $wpdb->get_var( $wpdb->prepare(
				"
				SELECT SUM(meta_value) as total
				FROM $wpdb->postmeta
				WHERE post_id = %d
				AND meta_key LIKE '_views-%'
				",
				intval( $ad_id )
			) );

			return intval( $views );

		}

		/**
		 * Get the views today for an ad by id
		 */
		public static function get_daily_views( $ad_id ) {

			$meta_key = adsanity_get_meta_key( 'views' );
			return get_post_meta( $ad_id, $meta_key, true );

		}

		/**
		 * Whether or not this is an individual ad edit screen
		 */
		public static function is_ad_edit_screen() {

			if ( ! function_exists( 'get_current_screen' ) ) {
				return false;
			}

			$screen = get_current_screen();

			if ( ! isset( $screen->post_type ) ||
			     'ads' !== $screen->post_type ||
			     ! isset( $screen->base ) ||
			     'post' !== $screen->base ) {
				return false;
			}

			return true;

		}

		/**
		 * Whether or not this is the admin ad archive list
		 */
		public static function is_ad_list_screen() {

			if ( ! function_exists( 'get_current_screen' ) ) {
				return false;
			}

			$screen = get_current_screen();

		}

	}

}
