//
// 
//

const $ = window.jQuery;

$( document ).ready( handleAdStats );

function handleAdStats() {

	$( '.adsanity-impressions-data' ).each( function() {

		const impressionType = $( this ).data( 'impression-type' );
		const impressions = $( this ).data( 'impressions' );
		const impressionLimit = $( this ).data( 'impression-limit' );

		let label = $( this ).data( `impression-${ impressionType }-label` );

		const row = $( this ).closest( 'tr' );

		titleCode = row.find( '.ad-title code' );

		label += ` ${ impressions } / ${ impressionLimit }`;

		const impressionPercentage = impressions / impressionLimit;

		if ( impressionPercentage >= 1 ) {
			row.addClass( 'expired' );
		} else if ( impressionPercentage >= 0.8 ) {
			row.addClass( 'expiring' );
		}

		titleCode
			.eq( titleCode.length - 1 )
			.after( `<p class="adsanity-impressions-label">${ label }</p>` );

	} );

}
