<?php
	wp_nonce_field( 'adsanity_ai', 'adsanity_ai' );

	$type = get_post_meta( get_the_ID(), 'adsanity_ai_type', true );
	$limit = get_post_meta( get_the_ID(), 'adsanity_ai_limit', true );
?>

<p><?php esc_html_e( 'Limit this ad to a specified number of impressions?', 'adsanity-impressions' ); ?></p>

<!-- Daily -->
<div class="daily box<?php echo 'daily' === $type ? ' active' : ''; ?>">
	<label>
		<input
			name="adsanity_ai_type"
			value="daily"
			type="checkbox"
			<?php checked( 'daily' === $type ); ?>
		>
		<?php esc_html_e( 'Daily', 'adsanity-impressions' ); ?>
	</label>

	<p><?php
		$meta_key = adsanity_get_meta_key( 'views' );
		$impressions_today = get_post_meta( get_the_ID(), $meta_key, true );
		printf(
			esc_html__( 'Impressions Today: %d', 'adsanity-impressions' ),
			intval( $impressions_today )
		);
	?></p>

	<p><?php esc_html_e( 'Limit an ad\'s display to a set number of impressions per day.', 'adsanity-impressions' ); ?></p>

	<div class="extra-fields">

		<label>
			<span><?php esc_html_e( 'Impression limit:', 'adsanity-impressions' ); ?></span>
			<input
				name="adsanity_ai_limit_daily"
				type="number"
				value="<?php echo esc_attr( $limit ); ?>"
			>
		</label>

	</div>
</div>

<!-- All-Time -->
<div class="all-time box<?php echo 'all-time' === $type ? ' active' : ''; ?>">
	<label>
		<input
			name="adsanity_ai_type"
			value="all-time"
			type="checkbox"
			<?php checked( 'all-time' === $type ); ?>
		>
		<?php esc_html_e( 'All-Time', 'adsanity-impressions' ); ?>
	</label>

	<p><?php esc_html_e( 'Limit an ad\'s display to a set number of impressions all-time.', 'adsanity-impressions' ); ?></p>

	<p><?php
		global $wpdb;
		$impressions_all_time = $wpdb->get_var( $wpdb->prepare(
			"
			SELECT SUM(meta_value) as total
			FROM $wpdb->postmeta
			WHERE post_id = %d
			AND meta_key LIKE '_views-%'
			",
			intval( get_the_ID() )
		) );
		printf(
			esc_html__( 'All-Time Impressions: %d', 'adsanity-impressions' ),
			intval( $impressions_all_time )
		);
	?></p>

	<div class="extra-fields">

		<label>
			<span><?php esc_html_e( 'Impression limit:', 'adsanity-impressions' ); ?></span>
			<input
				name="adsanity_ai_limit_all"
				type="number"
				value="<?php echo esc_attr( $limit ); ?>"
			>
		</label>

	</div>
</div>

<p class="warning">* <?php esc_html_e( 'Due to caching, it is possible that an ad can slightly exceed its impression limit.', 'adsanity-impressions' ); ?></p>
